# EEG microstate analysis in anesthesia
This repository contains relevant codes and implementation of EEG microstate research in propofol-induced anesthesia. The details of method are included in our paper. 

### Data availability
The EEG recordings were freely open-access in [University of Cambridge Data Repository](https://www.repository.cam.ac.uk/handle/1810/252736), comprising of pretreated spontaneous EEG and behavioral data from 20 healthy participants (9 male, 11 female; mean age = 30.85; S.D. = 10.98) during propofol-induced transition of anesthesia with ethical approval provided by the Cambridgeshire 2 Regional Ethics Committee. All clinical investigations were conducted in line with the Declaration of Helsinki.

### Requirement (advanced installation)
The toolbox should be loaded before the usage of the codes.

* **Matlab**
* **EEGLAB Toolbox** ([download](https://sccn.ucsd.edu/eeglab/download.php)) 
* **CarTool** ([download](https://sites.google.com/site/cartoolcommunity/))   

### Citation
If you find the code useful, please consider to cite our paper:
* [[Shi2020]](https://www.worldscientific.com/doi/10.1142/S0129065720500057) Shi, W., Li, Y., Liu, Z., Li, J., Wang, Q., Yan, X., Wang, G. (2020). Non-Canonical Microstate Becomes Salient in High Density EEG During Propofol-Induced Altered States of Consciousness. Int. J. Neural Syst., 30(2), 2050005-1.
* [[Li2020]](https://ieeexplore.ieee.org/document/9136842) Li, Y., Shi, W., Liu, Z., Li, J., Wang, Q., Yan, X., Cao, Z., Wang, G. (2020). Effective brain state estimation during propofol-induced sedation using advanced EEG microstate spectral analysis. IEEE Journal of Biomedical and Health Informatics.
* [[Zhang2021]](https://www.sciencedirect.com/science/article/pii/S1053811921001385#!) Zhang, K., Shi, W., Wang, C., Li, Y., Zhi, A., Liu, T., Li, J., Yan, X., Wang, Q., Cao, Z., Wang, G. (2021). Reliability of EEG microstate analysis at different electrode densities during propofol-Induced transitions of brain states. NeuroImage, 231:117861. 

### Contact
We welcome any suggestion to help improve the codes and methodology. Please feel free to contact me if you have any question.
E-mail: allard.w.shi at gmail.com
